Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.db.makumba.sql
Class Query

    java.lang.Object
      org.makumba.db.makumba.sql.Query

All Implemented Interfaces:
  Query

    public class Query

extends Object
implements Query

SQL implementation of a OQL query

Field Summary
`(package private) ParameterAssigner` | `assigner`
`(package private) String` | `command`
`(package private) TableManager` | `insertHandler`
`(package private) String` | `insertIn`
`(package private) String` | `limitSyntax`
`(package private) boolean` | `offsetFirst`
`(package private) String` | `query`
`(package private) TableManager` | `resultHandler`
`(package private) boolean` | `supportsLimitInQuery`

Constructor Summary
`Query(Database db, String OQLQuery, String insertIn)`

Method Summary
`(package private) void` | `analyzeInsertIn(DataDefinition proj, Database db)`
`Vector<Dictionary<String,Object>>` | `execute(Object[] args, DBConnection dbc, int offset, int limit)` Execute the query with the given arguments
`String` | `getCommand()`
`(package private) Vector<Dictionary<String,Object>>` | `goThru(ResultSet rs, TableManager rm)`
`int` | `insert(Object[] args, DBConnection dbc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### query

    String query

### resultHandler

    TableManager resultHandler

### command

    String command

### assigner

    ParameterAssigner assigner

### limitSyntax

    String limitSyntax

### offsetFirst

    boolean offsetFirst

### supportsLimitInQuery

    boolean supportsLimitInQuery

### insertIn

    String insertIn

### insertHandler

    TableManager insertHandler

Constructor Detail

### Query

    public Query(Database db,
                 String OQLQuery,
                 String insertIn)

Method Detail

### getCommand

    public String getCommand()

### execute

    public Vector<Dictionary<String,Object>> execute(Object[] args,
                                                     DBConnection dbc,
                                                     int offset,
                                                     int limit)

  Description copied from interface: `Query`
  Execute the query with the given arguments

  Specified by:
    `execute` in interface `Query`

### goThru

    Vector<Dictionary<String,Object>> goThru(ResultSet rs,
                                             TableManager rm)

### analyzeInsertIn

    void analyzeInsertIn(DataDefinition proj,
                         Database db)

### insert

    public int insert(Object[] args,
                      DBConnection dbc)

  Specified by:
    `insert` in interface `Query`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20